%define major		4
%define libname		%mklibname %{name} %{major}
%define develname	%mklibname %{name} -d
%define staticname	%mklibname %{name} -s -d

Summary:	Produces a document with syntax highlighting
Name:		source-highlight
Version:	3.1.9
Release:	%mkrel 15
Group:		Development/Tools
License:	GPLv3+
URL:		https://www.gnu.org/software/src-highlite/
Source:		https://ftp.gnu.org/gnu/src-highlite/%{name}-%{version}.tar.gz
Patch1:		0001-Add-support-for-YAML.patch
Patch2:		0002-Add-support-for-C-14-digit-separators.patch
Patch3:		0003-Remove-throw-specifications.patch

BuildRequires:	bison
BuildRequires:	flex
BuildRequires:	boost-devel
BuildRequires:	ctags
BuildRequires:	help2man
BuildRequires:	makeinfo

Requires:	ctags
Requires:	help2man

%description
GNU Source-highlight produces a document with syntax highlighting
when given a source file. It handles many languages, e.g., Java,
C/C++, Prolog, Perl, PHP3, Python, Flex, HTML, and other formats,
e.g., ChangeLog and log files, as source languages and HTML, XHTML,
DocBook, ANSI color escapes, LaTeX, and Texinfo as output formats.
Input and output formats can be specified with a regular expression-
oriented syntax.

%package -n	%{libname}
Group:		System/Libraries
Summary:	Produces a document with syntax highlighting

%description -n	%{libname}
GNU Source-highlight produces a document with syntax highlighting
when given a source file. It handles many languages, e.g., Java,
C/C++, Prolog, Perl, PHP3, Python, Flex, HTML, and other formats,
e.g., ChangeLog and log files, as source languages and HTML, XHTML,
DocBook, ANSI color escapes, LaTeX, and Texinfo as output formats.
Input and output formats can be specified with a regular expression-
oriented syntax.

%package -n	%{develname}
Group:		Development/C
Summary:	Produces a document with syntax highlighting
Provides:	%{name}-devel = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}
Requires:	boost-devel

%description -n	%{develname}
GNU Source-highlight produces a document with syntax highlighting
when given a source file. It handles many languages, e.g., Java,
C/C++, Prolog, Perl, PHP3, Python, Flex, HTML, and other formats,
e.g., ChangeLog and log files, as source languages and HTML, XHTML,
DocBook, ANSI color escapes, LaTeX, and Texinfo as output formats.
Input and output formats can be specified with a regular expression-
oriented syntax.

%package -n	%{staticname}
Group:		Development/C
Summary:	Produces a document with syntax highlighting
Provides:	lib%{name}-static-devel = %{version}-%{release}
Requires:	%{develname} = %{version}-%{release}

%description -n	%{staticname}
GNU Source-highlight produces a document with syntax highlighting
when given a source file. It handles many languages, e.g., Java,
C/C++, Prolog, Perl, PHP3, Python, Flex, HTML, and other formats,
e.g., ChangeLog and log files, as source languages and HTML, XHTML,
DocBook, ANSI color escapes, LaTeX, and Texinfo as output formats.
Input and output formats can be specified with a regular expression-
oriented syntax.

%prep
%autosetup -p1

%build
autoreconf -fi
%configure \
	--enable-static \
	--with-boost-libdir=%{_libdir}
%make_build

%install
%make_install

rm -fr %{buildroot}%{_datadir}/doc/

%files
%doc AUTHORS README CREDITS NEWS TODO.txt THANKS
%license COPYING
%{_bindir}/*
%{_datadir}/%{name}/
%{_mandir}/man1/*
%{_infodir}/*
%{_sysconfdir}/bash_completion.d/*

%files -n %{libname}
%{_libdir}/lib%{name}.so.%{major}
%{_libdir}/lib%{name}.so.%{major}.*

%files -n %{develname}
%doc ChangeLog
%{_libdir}/lib%{name}.so
%{_libdir}/pkgconfig/*.pc
%{_includedir}/srchilite

%files -n %{staticname}
%{_libdir}/lib%{name}.a


%changelog
* Sun Jun 29 2025 umeabot <umeabot> 3.1.9-15.mga10
+ Revision: 2221998
- Mageia 10 Mass Rebuild

* Sat Apr 06 2024 wally <wally> 3.1.9-14.mga10
+ Revision: 2055139
- basesystem rebuild for i686

* Fri Mar 18 2022 umeabot <umeabot> 3.1.9-13.mga9
+ Revision: 1798809
- Mageia 9 Mass Rebuild
+ wally <wally>
- update URLs

* Sun Dec 19 2021 wally <wally> 3.1.9-12.mga9
+ Revision: 1762589
- rebuild for boost 1.78.0

* Thu Sep 09 2021 wally <wally> 3.1.9-11.mga9
+ Revision: 1744597
- rebuild for boost 1.77.0

* Mon Jun 07 2021 tv <tv> 3.1.9-10.mga9
+ Revision: 1730013
- Require boost-devel in the devel package (caught while building gdb)

* Sat May 15 2021 wally <wally> 3.1.9-9.mga9
+ Revision: 1723349
- add upstream patches
  - add YAML support
  - fix build with gcc 11
- rebuild for boost 1.76.0

* Thu Dec 31 2020 wally <wally> 3.1.9-8.mga8
+ Revision: 1666819
- rebuild for boost 1.75.0

* Sun Dec 20 2020 wally <wally> 3.1.9-7.mga8
+ Revision: 1662061
- rebuild for boost 1.74.0

* Sat Aug 15 2020 wally <wally> 3.1.9-6.mga8
+ Revision: 1614151
- drop unneeded post/postun scriptlets as info file installs are handled by filetriggers (mga#27107)

* Sun May 03 2020 wally <wally> 3.1.9-4.mga8
+ Revision: 1578113
- rebuild for boost 1.73.0

* Wed Feb 19 2020 umeabot <umeabot> 3.1.9-3.mga8
+ Revision: 1544928
- Mageia 8 Mass Rebuild

* Sun Jan 26 2020 wally <wally> 3.1.9-2.mga8
+ Revision: 1483434
- rebuild for boost 1.72.0
- replace deprecated %%configure2_5x

* Sun Oct 13 2019 daviddavid <daviddavid> 3.1.9-1.mga8
+ Revision: 1452464
- new version: 3.1.9

* Fri Sep 20 2019 tmb <tmb> 3.1.8-8.mga8
+ Revision: 1444118
- rebuild with new gcc

* Tue Oct 16 2018 wally <wally> 3.1.8-7.mga7
+ Revision: 1321097
- rebuild for new boost 1.68.0

* Sun Sep 23 2018 umeabot <umeabot> 3.1.8-6.mga7
+ Revision: 1301116
- Mageia 7 Mass Rebuild
+ kekepower <kekepower>
- Use make_build

* Mon Dec 25 2017 wally <wally> 3.1.8-5.mga7
+ Revision: 1184629
- rebuild for new boost

* Sun Nov 19 2017 tv <tv> 3.1.8-4.mga7
+ Revision: 1177749
- rebuild for boost 1.65

* Sat Sep 16 2017 tv <tv> 3.1.8-3.mga7
+ Revision: 1154533
- rebuild with latest boost

* Fri Dec 25 2015 wally <wally> 3.1.8-2.mga6
+ Revision: 914593
- rebuild for new boost 1.60.0
- drop old Mdv era obsoletes/provides

* Mon Sep 28 2015 daviddavid <daviddavid> 3.1.8-1.mga6
+ Revision: 884352
- new version: 3.1.8

* Fri Sep 25 2015 tv <tv> 3.1.7-14.mga6
+ Revision: 883514
- rebuild for new boost

* Wed Aug 26 2015 cjw <cjw> 3.1.7-13.mga6
+ Revision: 869620
- rebuild for gcc 5

* Fri Jul 31 2015 daviddavid <daviddavid> 3.1.7-12.mga6
+ Revision: 859481
- rebuild for new boost-1.58.0

* Wed Oct 15 2014 umeabot <umeabot> 3.1.7-11.mga5
+ Revision: 747801
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 3.1.7-10.mga5
+ Revision: 689258
- Mageia 5 Mass Rebuild

* Sat Feb 08 2014 ovitters <ovitters> 3.1.7-9.mga5
+ Revision: 586005
- rebuild for new boost

* Sat Oct 19 2013 umeabot <umeabot> 3.1.7-8.mga4
+ Revision: 529258
- Mageia 4 Mass Rebuild

* Mon Jul 08 2013 fwang <fwang> 3.1.7-7.mga4
+ Revision: 451181
- rebuild for new boost

* Wed Apr 10 2013 barjac <barjac> 3.1.7-6.mga3
+ Revision: 409463
- rebuild for boost-1.53

* Mon Jan 14 2013 umeabot <umeabot> 3.1.7-5.mga3
+ Revision: 382397
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Dec 20 2012 fwang <fwang> 3.1.7-4.mga3
+ Revision: 332963
- rebuild for new boost

* Sun Oct 21 2012 malo <malo> 3.1.7-3.mga3
+ Revision: 308980
- update RPM group

* Tue Jul 31 2012 fwang <fwang> 3.1.7-2.mga3
+ Revision: 276523
- rebuild for new boost

* Sun Jul 01 2012 fwang <fwang> 3.1.7-1.mga3
+ Revision: 265910
- new version 3.1.7

* Tue May 29 2012 ovitters <ovitters> 3.1.6-2.mga3
+ Revision: 249414
- clean spec
- rebuild due to new boost

* Thu Dec 29 2011 fwang <fwang> 3.1.6-1.mga2
+ Revision: 188586
- new version 3.1.6

* Mon Nov 28 2011 fwang <fwang> 3.1.5-2.mga2
+ Revision: 173523
- rebuild for new boost

* Sat Sep 03 2011 fwang <fwang> 3.1.5-1.mga2
+ Revision: 138089
- updated file list
- updated libmajor
- new version 3.1.5
- rebuild for new boost

* Wed Jun 22 2011 fwang <fwang> 3.1.3-5.mga2
+ Revision: 111888
- rebuild for new boost

* Sun Jan 09 2011 blino <blino> 3.1.3-4.mga1
+ Revision: 3310
- imported package source-highlight


* Tue Aug 24 2010 Funda Wang <fwang@mandriva.org> 3.1.3-4mdv2011.0
+ Revision: 572621
- rebuild

* Mon Feb 08 2010 Anssi Hannula <anssi@mandriva.org> 3.1.3-3mdv2011.0
+ Revision: 501882
- rebuild for new boost

* Wed Feb 03 2010 Funda Wang <fwang@mandriva.org> 3.1.3-2mdv2010.1
+ Revision: 500055
- rebuild for new boost

* Sat Jan 16 2010 Götz Waschk <waschk@mandriva.org> 3.1.3-1mdv2010.1
+ Revision: 492493
- update to new version 3.1.3

* Wed Dec 23 2009 Götz Waschk <waschk@mandriva.org> 3.1.2-1mdv2010.1
+ Revision: 481912
- new version
- add library package

* Thu Mar 19 2009 Guillaume Rousse <guillomovitch@mandriva.org> 2.11.1-2mdv2009.1
+ Revision: 358058
- rebuild for latest libboost

* Fri Dec 26 2008 Funda Wang <fwang@mandriva.org> 2.11.1-1mdv2009.1
+ Revision: 319341
- new version 2.11.1

* Sat Dec 20 2008 Funda Wang <fwang@mandriva.org> 2.11-2mdv2009.1
+ Revision: 316580
- rebuild for new boost

* Tue Dec 02 2008 Funda Wang <fwang@mandriva.org> 2.11-1mdv2009.1
+ Revision: 308976
- specify boost libdir
- fix file list
- new version 2.11

* Thu Oct 23 2008 Götz Waschk <waschk@mandriva.org> 2.10-2mdv2009.1
+ Revision: 296737
- fix build
- rebuild

  + Per Øyvind Karlsen <peroyvind@mandriva.org>
    - rebuild against new boost

* Tue Jul 22 2008 Funda Wang <fwang@mandriva.org> 2.10-1mdv2009.0
+ Revision: 239935
- update to new version 2.10

* Wed Apr 23 2008 Funda Wang <fwang@mandriva.org> 2.9-1mdv2009.0
+ Revision: 196718
- New version 2.9

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Tue Nov 06 2007 Funda Wang <fwang@mandriva.org> 2.8-2mdv2008.1
+ Revision: 106331
- Rebuild against new boost

* Mon Oct 15 2007 Funda Wang <fwang@mandriva.org> 2.8-1mdv2008.1
+ Revision: 98365
- New version 2.8

* Sun Jun 24 2007 Funda Wang <fwang@mandriva.org> 2.7-1mdv2008.0
+ Revision: 43565
- New version


* Wed Oct 25 2006 Lenny Cartier <lenny@mandriva.com> 2.5-1mdv2007.0
+ Revision: 72298
- Update to 2.5
- Import source-highlight

